com.verisign.epp.codec.nv

## Class EPPNameVerificationPendActionMsg

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.nv.EPPNameVerificationPendActionMsg

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPNameVerificationPendActionMsg
      extends EPPResponse

  Poll message used to indicate the result of a pending action.
  See Also:
    `EPPNameVerificationCreateCmd`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPNameVerificationPendActionMsg`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPNameVerificationPendActionMsg`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameVerificationPendActionMsg()` `EPPNameVerificationPendActionMsg` default constructor.
    `EPPNameVerificationPendActionMsg(EPPTransId aTransId, java.lang.String aCode, java.lang.String aType, EPPNameVerificationStatus aStatus, java.lang.String aMsg, java.util.Date aPaDate)` `EPPNameVerificationPendActionMsg` constructor that takes all of the required attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPNameVerificationPendActionMsg`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPNameVerificationPendActionMsg` attributes from the `aElement` DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameVerificationPendActionMsg` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameVerificationPendActionMsg` with this instance.
    `java.lang.String` | `getCode()` Gets the verification code value.
    `java.lang.String` | `getCodeType()` Gets the verification code type.
    `java.lang.String` | `getMsg()` Gets the human-readable description of the result.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPResponse`.
    `java.util.Date` | `getPaDate()` Gets the the date and time describing when review of the requested action was completed.
    `EPPNameVerificationStatus` | `getStatus()` Gets the verification status.
    `void` | `setCode(java.lang.String aCode)` Sets the verification code value.
    `void` | `setCodeType(java.lang.String aType)` Sets the verification code type.
    `void` | `setMsg(java.lang.String aMsg)` Sets the human-readable description of the result.
    `void` | `setPaDate(java.util.Date aPaDate)` Sets the date and time describing when review of the requested action was completed.
    `void` | `setStatus(EPPNameVerificationStatus aStatus)` Sets the verification status.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, getType, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPNameVerificationPendActionMsg`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPNameVerificationPendActionMsg`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationPendActionMsg

          public EPPNameVerificationPendActionMsg()

      `EPPNameVerificationPendActionMsg` default constructor. Must call required setter methods before encode.

    - #### EPPNameVerificationPendActionMsg

          public EPPNameVerificationPendActionMsg(EPPTransId aTransId,
                                                  java.lang.String aCode,
                                                  java.lang.String aType,
                                                  EPPNameVerificationStatus aStatus,
                                                  java.lang.String aMsg,
                                                  java.util.Date aPaDate)

      `EPPNameVerificationPendActionMsg` constructor that takes all of the required attributes.
      Parameters:
        `aTransId` - Poll command transaction id
        `aCode` - Verification code pending action
        `aType` - The verification code type
        `aStatus` - Status of pending action
        `aMsg` - Human-readable description of the result.
        `aPaDate` - Date of pending action completion

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPResponse`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        XML namespace for the `EPPResponse`.

    - #### getCode

          public java.lang.String getCode()

      Gets the verification code value.
      Returns:
        Verification code value

    - #### setCode

          public void setCode(java.lang.String aCode)

      Sets the verification code value.
      Parameters:
        `aCode` - Verification code value.

    - #### getCodeType

          public java.lang.String getCodeType()

      Gets the verification code type.
      Returns:
        Verification code type

    - #### setCodeType

          public void setCodeType(java.lang.String aType)

      Sets the verification code type.
      Parameters:
        `aType` - The verification code type

    - #### getStatus

          public EPPNameVerificationStatus getStatus()

      Gets the verification status.
      Returns:
        Verification status

    - #### setStatus

          public void setStatus(EPPNameVerificationStatus aStatus)

      Sets the verification status.
      Parameters:
        `aStatus` - The verification status

    - #### getMsg

          public java.lang.String getMsg()

      Gets the human-readable description of the result.
      Returns:
        human-readable description of the result.

    - #### setMsg

          public void setMsg(java.lang.String aMsg)

      Sets the human-readable description of the result.
      Parameters:
        `aMsg` - human-readable description of the result.

    - #### getPaDate

          public java.util.Date getPaDate()

      Gets the the date and time describing when review of the requested action was completed.
      Returns:
        Date and time describing when review of the requested action was completed.

    - #### setPaDate

          public void setPaDate(java.util.Date aPaDate)

      Sets the date and time describing when review of the requested action was completed.
      Parameters:
        `aPaDate` - Date and time describing when review of the requested action was completed.

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameVerificationPendActionMsg` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPNameVerificationPendActionMsg` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPNameVerificationPendActionMsg` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPNameVerificationPendActionMsg` attributes from the `aElement` DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameVerificationPendActionMsg` from.
      Throws:
        `EPPDecodeException` - Unable to decode `aElement`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameVerificationPendActionMsg`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPNameVerificationPendActionMsg`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPNameVerificationPendActionMsg` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

Copyright © VeriSign Inc. All Rights Reserved.